
# Interface: IAuWidgetHelpParams

Provides properties of the `help` widget.

You can use these properties in **params** of the [AuWidgetHelp](../classes/auwidgethelp.md) class.
```
{
  "widgets": [
    {
      "name": "help",
      "type": "help",
      "params": {
        "steps": {
          "0": {
            "type": "modal",
            "content": "faq"
          },
          "1": {
            "type": "page",
            "content": "http://customerscanvas.com"
          }
        }
      }
    }
  ]
}
```

## Hierarchy

* **IAuWidgetHelpParams**

## Index

### Properties

* [base](iauwidgethelpparams.md#base)
* [steps](iauwidgethelpparams.md#steps)

## Properties

###  base

• **base**: *[StepHelpConfig](stephelpconfig.md)*

___

###  steps

• **steps**: *object*

A list of steps included in the help.

#### Type declaration:

* \[ **key**: *string*\]: [StepHelpConfig](stephelpconfig.md)
